www.cendio.com

Bug 5337

Summary: Set _NET_WM_PID property on X11 window
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: ClientAssignee: Henrik Andersson <hean01@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se, samuel@cendio.se, tk@CeBiTec.Uni-Bielefeld.DE
Version: 4.2.0Keywords: relnotes, samuel_tester
Target Milestone: 4.4.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2014-11-04 13:57:19
We should set the _NET_WM_PID property on the tlclient and vncviewer windows.
Without this property, the IGEL connection manager is not able to terminate our
client upon suspend, as reported here:

http://lists.cendio.se/pipermail/thinlinc-technical/2014-October/000651.html
------- Comment #1 From cendio 2014-11-11 11:27:48 -------
http://www.fltk.org/str.php?L3150
------- Comment #2 From cendio 2014-12-16 16:44:28 -------
GTK+ uses XSetWMProperties() which sets WM_CLIENT_MACHINE and WM_LOCALE_NAME to
proper values.
------- Comment #3 From cendio 2014-12-17 15:28:33 -------
Patched added to cenbuild in commit r29737.
------- Comment #4 From cendio 2014-12-17 15:29:19 -------
(In reply to comment #3)
> Patched added to cenbuild in commit r29737.

Tested and verified that adding the NET_VM_PID fixes the main issue with IGEL
and suspend.
------- Comment #5 From cendio 2015-01-12 09:03:10 -------
Using long datatype for pid fixed in commit r29759
------- Comment #6 From cendio 2015-04-20 14:02:33 -------
Committed upstream as r10710.
------- Comment #7 From cendio 2015-04-23 13:44:32 -------
Reproduced the problem with 4.3.0 on Igel UD3 and verified that it is fixed
with build 4588.

$ xprop -name "ThinLinc Client" | grep _NET_WM_PID
_NET_WM_PID(CARDINAL) = 15221
------- Comment #8 From cendio 2015-04-23 14:59:19 -------
[samuel@samuel-80 ~]$ xprop -name "ThinLinc Client" | grep WM_CLIENT_MACHINE
WM_CLIENT_MACHINE(STRING) = "samuel-80"
[samuel@samuel-80 ~]$ xprop -name "ThinLinc Client" | grep WM_LOCALE_NAME
WM_LOCALE_NAME(STRING) = "en_GB.utf8"

Looks good.